#include <stdio.h>
#include <iostream>
#include <string.h>

using namespace std;

int main()
{
    string t,s;
    int n,i,br=0,m,a,b,bra=0,brb=0,brx;
    cin >> t >> s;
    n=t.length();
    m=s.length();
    if(s!="ab")
    {
    for(i=0;i<n;i++)
    {
        if(t[i]=='a')
            br++;
        if(br>=m&&t[i]=='a')
            t[i]='*';
    }
    cout << br-m+1 << "\n" << t;
    }
    else
    {

        for(i=0;i<n;i++)
    {
        if(t[i]=='a')
        {
            a=i;
            break;
        }
    }
    for(i=0;i<n;i++)
    {
        if(t[i]=='b')
        {
            b=i;
        }
    }
    for(i=a;i<=b;i++)
    {
        if(t[i]=='a')
            bra++;
        if(t[i]=='b')
            brb++;

    }
    if(bra>=brb)
    {
        for(i=a;i<=b;i++)
        {
            if(t[i]=='b')
            {
                t[i]='*';
            }

        }

    }
    else
    {

     for(i=a;i<=b;i++)
        {
            if(t[i]=='a')
            {
                t[i]='*';
            }

        }
    }
    if(bra<=brb)
        brx=bra;
    else
        brx=brb;
    cout << brx << "\n" << t;

    }



}